Bug 8282 - Bug in modules list in about.pl
Summary: Bug in modules list in about.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Matthias Meusburger
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-21 13:39 UTC by Matthias Meusburger
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8282: Bug in modules list in about.pl (880 bytes, patch)
2012-06-21 13:42 UTC, Matthias Meusburger
Details | Diff | Splinter Review
[SIGNED OFF] Bug 8282: Bug in modules list in about.pl (2.69 KB, patch)
2012-06-22 20:03 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Meusburger 2012-06-21 13:39:37 UTC
Last modules were not displayed if the number of modules did not match the number of rows of the table (when $number_of_modules % 4 != 0)
Comment 1 Matthias Meusburger 2012-06-21 13:42:52 UTC Comment hidden (obsolete)
Comment 2 Matthias Meusburger 2012-06-21 13:45:24 UTC
Please note that the last remaining cells of the table will have an empty module name, with the "Not installed" label after it, but I find this much better than having missing modules.
Comment 3 Marc Véron 2012-06-22 20:03:39 UTC
Created attachment 10440 [details] [review]
[SIGNED OFF] Bug 8282: Bug in modules list in about.pl

Last modules were not displayed if the number of modules did not match the number of rows of the table (when $number_of_modules % 4 != 0)

Signed-off-by: Marc Veron <veron@veron.ch>

Added some code to about.tt to have empty the last remaining cells, not sure if an other signoff is needed.
Comment 4 Marcel de Rooy 2012-06-25 06:54:04 UTC
Looks good to me.
Passed QA
Comment 5 Chris Cormack 2012-06-25 21:38:39 UTC
Pushed to 3.8.x, will be in 3.8.3